Diff for /parser3/configure between versions 1.78 and 1.85

version 1.78, 2004/04/06 14:18:21 version 1.85, 2005/11/22 15:55:15
Line 1586  fi Line 1586  fi
   
 # Define the identity of the package.  # Define the identity of the package.
  PACKAGE=parser   PACKAGE=parser
  VERSION=3.1.4beta   VERSION=3.2.0beta
   
   
 # Some tools Automake needs.  # Some tools Automake needs.
Line 1707  INSTALL_STRIP_PROGRAM="\${SHELL} \$(inst Line 1707  INSTALL_STRIP_PROGRAM="\${SHELL} \$(inst
 P3S=`cd $srcdir/src ; pwd`  P3S=`cd $srcdir/src ; pwd`
   
   
 PARSER_VERSION=$VERSION  
 echo "/* automatically generated by configure */" > $srcdir/src/include/pa_version.h.new  
 echo "/* edit configure.in to change version number */" >> $srcdir/src/include/pa_version.h.new  
 echo "#define PARSER_VERSION \"$PARSER_VERSION\"" >> $srcdir/src/include/pa_version.h.new  
 cmp $srcdir/src/include/pa_version.h.new $srcdir/src/include/pa_version.h >/dev/null 2>&1  
 if test $? -ne 0 ; then  
         rm -f $srcdir/src/include/pa_version.h && mv $srcdir/src/include/pa_version.h.new $srcdir/src/include/pa_version.h && \  
         echo Updated $srcdir/src/include/pa_version.h  
 else  
         rm -f $srcdir/src/include/pa_version.h.new  
 fi  
   
   
   
 # Make sure we can run config.sub.  # Make sure we can run config.sub.
 $ac_config_sub sun4 >/dev/null 2>&1 ||  $ac_config_sub sun4 >/dev/null 2>&1 ||
   { { echo "$as_me:$LINENO: error: cannot run $ac_config_sub" >&5    { { echo "$as_me:$LINENO: error: cannot run $ac_config_sub" >&5
Line 1776  host_os=`echo $ac_cv_host | sed 's/^\([^ Line 1762  host_os=`echo $ac_cv_host | sed 's/^\([^
   
   
   
   PARSER_VERSION="$VERSION (compiled on $host)"
   echo "/* automatically generated by configure */" > $srcdir/src/include/pa_version.h.new
   echo "/* edit configure.in to change version number */" >> $srcdir/src/include/pa_version.h.new
   echo "#define PARSER_VERSION \"$PARSER_VERSION\"" >> $srcdir/src/include/pa_version.h.new
   cmp $srcdir/src/include/pa_version.h.new $srcdir/src/include/pa_version.h >/dev/null 2>&1
   if test $? -ne 0 ; then
           rm -f $srcdir/src/include/pa_version.h && mv $srcdir/src/include/pa_version.h.new $srcdir/src/include/pa_version.h && \
           echo Updated $srcdir/src/include/pa_version.h
   else
           rm -f $srcdir/src/include/pa_version.h.new
   fi
   
   
   
   
 case $host_os in  case $host_os in
   *cygwin* )    *cygwin* )
 cat >>confdefs.h <<\_ACEOF  cat >>confdefs.h <<\_ACEOF
Line 4607  fi Line 4608  fi
   
   
   
   echo "$as_me:$LINENO: checking whether byte ordering is bigendian" >&5
   echo $ECHO_N "checking whether byte ordering is bigendian... $ECHO_C" >&6
   if test "${ac_cv_c_bigendian+set}" = set; then
     echo $ECHO_N "(cached) $ECHO_C" >&6
   else
     # See if sys/param.h defines the BYTE_ORDER macro.
   cat >conftest.$ac_ext <<_ACEOF
   #line $LINENO "configure"
   /* confdefs.h.  */
   _ACEOF
   cat confdefs.h >>conftest.$ac_ext
   cat >>conftest.$ac_ext <<_ACEOF
   /* end confdefs.h.  */
   #include <sys/types.h>
   #include <sys/param.h>
   
   int
   main ()
   {
   #if !BYTE_ORDER || !BIG_ENDIAN || !LITTLE_ENDIAN
    bogus endian macros
   #endif
   
     ;
     return 0;
   }
   _ACEOF
   rm -f conftest.$ac_objext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     (eval $ac_compile) 2>&5
     ac_status=$?
     echo "$as_me:$LINENO: \$? = $ac_status" >&5
     (exit $ac_status); } &&
            { ac_try='test -s conftest.$ac_objext'
     { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     (eval $ac_try) 2>&5
     ac_status=$?
     echo "$as_me:$LINENO: \$? = $ac_status" >&5
     (exit $ac_status); }; }; then
     # It does; now see whether it defined to BIG_ENDIAN or not.
   cat >conftest.$ac_ext <<_ACEOF
   #line $LINENO "configure"
   /* confdefs.h.  */
   _ACEOF
   cat confdefs.h >>conftest.$ac_ext
   cat >>conftest.$ac_ext <<_ACEOF
   /* end confdefs.h.  */
   #include <sys/types.h>
   #include <sys/param.h>
   
   int
   main ()
   {
   #if BYTE_ORDER != BIG_ENDIAN
    not big endian
   #endif
   
     ;
     return 0;
   }
   _ACEOF
   rm -f conftest.$ac_objext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     (eval $ac_compile) 2>&5
     ac_status=$?
     echo "$as_me:$LINENO: \$? = $ac_status" >&5
     (exit $ac_status); } &&
            { ac_try='test -s conftest.$ac_objext'
     { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     (eval $ac_try) 2>&5
     ac_status=$?
     echo "$as_me:$LINENO: \$? = $ac_status" >&5
     (exit $ac_status); }; }; then
     ac_cv_c_bigendian=yes
   else
     echo "$as_me: failed program was:" >&5
   sed 's/^/| /' conftest.$ac_ext >&5
   
   ac_cv_c_bigendian=no
   fi
   rm -f conftest.$ac_objext conftest.$ac_ext
   else
     echo "$as_me: failed program was:" >&5
   sed 's/^/| /' conftest.$ac_ext >&5
   
   # It does not; compile a test program.
   if test "$cross_compiling" = yes; then
     # try to guess the endianness by grepping values into an object file
     ac_cv_c_bigendian=unknown
     cat >conftest.$ac_ext <<_ACEOF
   #line $LINENO "configure"
   /* confdefs.h.  */
   _ACEOF
   cat confdefs.h >>conftest.$ac_ext
   cat >>conftest.$ac_ext <<_ACEOF
   /* end confdefs.h.  */
   short ascii_mm[] = { 0x4249, 0x4765, 0x6E44, 0x6961, 0x6E53, 0x7953, 0 };
   short ascii_ii[] = { 0x694C, 0x5454, 0x656C, 0x6E45, 0x6944, 0x6E61, 0 };
   void _ascii () { char *s = (char *) ascii_mm; s = (char *) ascii_ii; }
   short ebcdic_ii[] = { 0x89D3, 0xE3E3, 0x8593, 0x95C5, 0x89C4, 0x9581, 0 };
   short ebcdic_mm[] = { 0xC2C9, 0xC785, 0x95C4, 0x8981, 0x95E2, 0xA8E2, 0 };
   void _ebcdic () { char *s = (char *) ebcdic_mm; s = (char *) ebcdic_ii; }
   int
   main ()
   {
    _ascii (); _ebcdic ();
     ;
     return 0;
   }
   _ACEOF
   rm -f conftest.$ac_objext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     (eval $ac_compile) 2>&5
     ac_status=$?
     echo "$as_me:$LINENO: \$? = $ac_status" >&5
     (exit $ac_status); } &&
            { ac_try='test -s conftest.$ac_objext'
     { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     (eval $ac_try) 2>&5
     ac_status=$?
     echo "$as_me:$LINENO: \$? = $ac_status" >&5
     (exit $ac_status); }; }; then
     if grep BIGenDianSyS conftest.$ac_objext >/dev/null ; then
     ac_cv_c_bigendian=yes
   fi
   if grep LiTTleEnDian conftest.$ac_objext >/dev/null ; then
     if test "$ac_cv_c_bigendian" = unknown; then
       ac_cv_c_bigendian=no
     else
       # finding both strings is unlikely to happen, but who knows?
       ac_cv_c_bigendian=unknown
     fi
   fi
   else
     echo "$as_me: failed program was:" >&5
   sed 's/^/| /' conftest.$ac_ext >&5
   
   fi
   rm -f conftest.$ac_objext conftest.$ac_ext
   else
     cat >conftest.$ac_ext <<_ACEOF
   #line $LINENO "configure"
   /* confdefs.h.  */
   _ACEOF
   cat confdefs.h >>conftest.$ac_ext
   cat >>conftest.$ac_ext <<_ACEOF
   /* end confdefs.h.  */
   int
   main ()
   {
     /* Are we little or big endian?  From Harbison&Steele.  */
     union
     {
       long l;
       char c[sizeof (long)];
     } u;
     u.l = 1;
     exit (u.c[sizeof (long) - 1] == 1);
   }
   _ACEOF
   rm -f conftest$ac_exeext
   if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     (eval $ac_link) 2>&5
     ac_status=$?
     echo "$as_me:$LINENO: \$? = $ac_status" >&5
     (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
     { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     (eval $ac_try) 2>&5
     ac_status=$?
     echo "$as_me:$LINENO: \$? = $ac_status" >&5
     (exit $ac_status); }; }; then
     ac_cv_c_bigendian=no
   else
     echo "$as_me: program exited with status $ac_status" >&5
   echo "$as_me: failed program was:" >&5
   sed 's/^/| /' conftest.$ac_ext >&5
   
   ( exit $ac_status )
   ac_cv_c_bigendian=yes
   fi
   rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
   fi
   fi
   rm -f conftest.$ac_objext conftest.$ac_ext
   fi
   echo "$as_me:$LINENO: result: $ac_cv_c_bigendian" >&5
   echo "${ECHO_T}$ac_cv_c_bigendian" >&6
   case $ac_cv_c_bigendian in
     yes)
   
   cat >>confdefs.h <<\_ACEOF
   #define PA_BIG_ENDIAN
   _ACEOF
   
    ;;
     no)
   
   cat >>confdefs.h <<\_ACEOF
   #define PA_LITTLE_ENDIAN
   _ACEOF
   
    ;;
     *)
       { { echo "$as_me:$LINENO: error: word endianness not determined for some obscure reason" >&5
   echo "$as_me: error: word endianness not determined for some obscure reason" >&2;}
      { (exit 1); exit 1; }; }
    ;;
   esac
   
   
 ac_ext=c  ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'  ac_cpp='$CPP $CPPFLAGS'
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'  ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
Line 6096  fi Line 6307  fi
   
   
   
   
 for ac_func in flock \  for ac_func in flock \
 _locking \  _locking \
 fcntl \  fcntl \
Line 6104  ftruncate \ Line 6316  ftruncate \
 getrusage \  getrusage \
 gettimeofday \  gettimeofday \
 crypt \  crypt \
   sigsetjmp \
 siglongjmp  siglongjmp
   
 do  do

Removed from v.1.78  
changed lines
  Added in v.1.85


E-mail: